Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1
/
b2csa
/
{year}
/
{month}
GSTR-1 B2CSA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/b2csa/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/b2csa/{year}/{month}"

headers = {
    "authorization": "<authorization>",
    "x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1/b2csa/{year}/{month}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "code": 200, "data": { "data": { "b2cs": [ { "camt": 0, "chksum": "03b5861d149936885055e3e9fda55f500586296f161ed315ca80eeaf892f5376", "csamt": 0, "flag": "N", "iamt": 242.84, "pos": "02", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 1349.1, "typ": "OE" }, { "camt": 0, "chksum": "08bbf76f2b2725ea703be7fdf818bcfa0a74560c92017fb8a0042139c19b01de", "csamt": 0, "flag": "N", "iamt": 1907.48, "pos": "03", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 10597.1, "typ": "OE" }, { "camt": 0, "chksum": "4b00c1b6eb7c54caeebe25d86830a85a549e6ed27928488002699f364b43edd1", "csamt": 0, "flag": "N", "iamt": 287.64, "pos": "05", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 1598, "typ": "OE" }, { "camt": 0, "chksum": "1dd36a11eaf95a82a200167ebe9b12063e2f05fc1cb7524779c28916608c65f0", "csamt": 0, "flag": "N", "iamt": 3345.84, "pos": "06", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 18588, "typ": "OE" }, { "camt": 0, "chksum": "6d029bb6914881a25cdaef98b7420b71803ebb8f605c5658360e61576b4a77fd", "csamt": 0, "flag": "N", "iamt": 6459.42, "pos": "07", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 35885.6, "typ": "OE" }, { "camt": 0, "chksum": "59911d7b4a2a4627fcd5d1335180317cd851e49831281f349ab181a9a33d340b", "csamt": 0, "flag": "N", "iamt": 4084.76, "pos": "08", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 22693.1, "typ": "OE" }, { "camt": 0, "chksum": "784130cfed4f8da92e22069af09a1a5b93f66dc8144a124189727adb63043806", "csamt": 0, "flag": "N", "iamt": 4911.18, "pos": "09", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 27284.3, "typ": "OE" }, { "camt": 0, "chksum": "b3459e194ccf04c3174c21fac373e3d6ae115366718578d353496fb1a29f9cc5", "csamt": 0, "flag": "N", "iamt": 5596.26, "pos": "10", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 31090.3, "typ": "OE" }, { "camt": 0, "chksum": "e966a9ca391654c7720c1fb4c61e0a008d563cb9954522b8d23c78cd379a6199", "csamt": 0, "flag": "N", "iamt": 1691.5, "pos": "16", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 9397.2, "typ": "OE" }, { "camt": 0, "chksum": "06d6555ecaf839064ed7693ec29caf7dde6ac9eff63f379e9e3c732fbd2a888b", "csamt": 0, "flag": "N", "iamt": 1295.68, "pos": "18", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 7198.2, "typ": "OE" }, { "camt": 0, "chksum": "e018bc3584cd1c5b89d659c7453bbe1431bb4dcf9649560a9e9b5804b704b4c6", "csamt": 0, "flag": "N", "iamt": 3922.42, "pos": "19", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 21791.2, "typ": "OE" }, { "camt": 0, "chksum": "e94d9b8b73afe22410abfab15070cfd53d86e19343f1e9d072f5a86c67e97e3c", "csamt": 0, "flag": "N", "iamt": 1925.3, "pos": "20", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 10696.1, "typ": "OE" }, { "camt": 0, "chksum": "223e7b1453600584fb3bdcf2b0db4b77f1d04950b9905be2fa55632c37948a9e", "csamt": 0, "flag": "N", "iamt": 683.48, "pos": "21", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 3797.1, "typ": "OE" }, { "camt": 0, "chksum": "52b3c421cb9e4fd5171271c917851c8c29ec2e428109e28651b8051b95250b21", "csamt": 0, "flag": "N", "iamt": 1439.64, "pos": "22", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 7998, "typ": "OE" }, { "camt": 0, "chksum": "eed1041f6805b483bc21f08a19f5661d08f0424ee6b53165250f4b854262cb7f", "csamt": 0, "flag": "N", "iamt": 1403.48, "pos": "23", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 7797.1, "typ": "OE" }, { "camt": 0, "chksum": "146cff518909b6a655c3df0147e23f4f6e72b92ac957cc89a95b499dd2e3c5ef", "csamt": 0, "flag": "N", "iamt": 20935.22, "pos": "27", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 116306.6, "typ": "OE" }, { "camt": 0, "chksum": "ca4785ebd9ba7ba887bc9993b763fc3b093fb0c9b32dea7ff8bc0e124e9d759e", "flag": "N", "iamt": 137579.65, "pos": "29", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 764331.38, "typ": "OE" }, { "camt": 0, "chksum": "174be654d2dce1f10a22b9e19e02f45d84fc4f100434a5e2857926ad5d9f348d", "csamt": 0, "flag": "N", "iamt": 485.84, "pos": "30", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 2699.1, "typ": "OE" }, { "camt": 0, "chksum": "468c8eb9b0a4b4a42f62978e2b7e6b5ca5ae5e6868b10ae6f42f7dd819193d76", "csamt": 0, "flag": "N", "iamt": 2446.76, "pos": "32", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 13593.1, "typ": "OE" }, { "camt": 0, "chksum": "b070890a7a068320acae854bf6797ee31bde8f928c8d64f3bab687921ca6661a", "csamt": 0, "flag": "N", "iamt": 11569.16, "pos": "33", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 64273, "typ": "OE" }, { "camt": 0, "chksum": "d0466d478553ef25cea26b18a28a2af83df874a44fa4249fd65a02042269abaf", "csamt": 0, "flag": "N", "iamt": 719.82, "pos": "34", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 3999, "typ": "OE" }, { "camt": 0, "chksum": "d29c5d2340fe7a2a35324211c16e23c340da857142cadaf64d3783d9449c3e39", "csamt": 0, "flag": "N", "iamt": 9490.96, "pos": "36", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 52727.5, "typ": "OE" }, { "camt": 0, "chksum": "6763b809b465ce4777b6b75c59b5f347d5be28cb6485ee4222aee9649f3a5bba", "csamt": 0, "flag": "N", "iamt": 10004.82, "pos": "37", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 55582.3, "typ": "OE" }, { "camt": 0, "chksum": "d0b4acc3e8881a82477404317c2c196c7dd05677fefb51590666bb98cc6fd406", "csamt": 0, "flag": "N", "iamt": 3094.96, "pos": "97", "rt": 18, "samt": 0, "sply_ty": "INTER", "txval": 17194.2, "typ": "OE" }, { "camt": 2284.92, "chksum": "946cb435ba9c511832971f21a1325123cc8a5fd0a0981b3175328eec1e874b9d", "csamt": 0, "flag": "N", "iamt": 0, "pos": "24", "rt": 18, "samt": 2284.92, "sply_ty": "INTRA", "txval": 25388, "typ": "OE" } ] }, "status_cd": "1" }, "timestamp": 1763446641000, "transaction_id": "b9a1801d-9870-41b1-ab12-e408fa6bff17" }

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Response

200 - application/json

200 Success / RET11416 No data found

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"b9a1801d-9870-41b1-ab12-e408fa6bff17"